Author: richard.opalka(a)jboss.com
Date: 2011-01-12 06:55:21 -0500 (Wed, 12 Jan 2011)
New Revision: 13559
Added:
hudson/trunk/scripts/
hudson/trunk/scripts/http-spider.sh
hudson/trunk/scripts/jboss.sh
hudson/trunk/scripts/jbossws-qa.sh
hudson/trunk/scripts/runjboss.sh
Removed:
hudson/trunk/jboss/
Modified:
hudson/trunk/build.xml
hudson/trunk/hudson-home/config.xml
hudson/trunk/hudson-home/jobs/AS-TESTS-AS-6.0.0/config.xml
hudson/trunk/hudson-home/jobs/AS-TESTS-AS-6.0.1/config.xml
hudson/trunk/hudson-home/jobs/CXF-BINDIST-AS-6.0.0-SPRING-SUN-JDK-6/config.xml
hudson/trunk/hudson-home/jobs/CXF-BINDIST-AS-6.0.0-SUN-JDK-6/config.xml
hudson/trunk/hudson-home/jobs/CXF-BINDIST-AS-6.0.1-SPRING-SUN-JDK-6/config.xml
hudson/trunk/hudson-home/jobs/CXF-BINDIST-AS-6.0.1-SUN-JDK-6/config.xml
hudson/trunk/hudson-home/jobs/CXF-CORE-AS-6.0.0-SPRING-SUN-JDK-6/config.xml
hudson/trunk/hudson-home/jobs/CXF-CORE-AS-6.0.0-SUN-JDK-6/config.xml
hudson/trunk/hudson-home/jobs/CXF-CORE-AS-6.0.1-SPRING-SUN-JDK-6/config.xml
hudson/trunk/hudson-home/jobs/CXF-CORE-AS-6.0.1-SUN-JDK-6/config.xml
hudson/trunk/hudson-home/jobs/CXF-SRCDIST-AS-6.0.0-SPRING-SUN-JDK-6/config.xml
hudson/trunk/hudson-home/jobs/CXF-SRCDIST-AS-6.0.0-SUN-JDK-6/config.xml
hudson/trunk/hudson-home/jobs/CXF-SRCDIST-AS-6.0.1-SPRING-SUN-JDK-6/config.xml
hudson/trunk/hudson-home/jobs/CXF-SRCDIST-AS-6.0.1-SUN-JDK-6/config.xml
hudson/trunk/hudson-home/jobs/NATIVE-BINDIST-AS-6.0.0-SUN-JDK-6/config.xml
hudson/trunk/hudson-home/jobs/NATIVE-BINDIST-AS-6.0.1-SUN-JDK-6/config.xml
hudson/trunk/hudson-home/jobs/NATIVE-CORE-AS-6.0.0-SUN-JDK-6/config.xml
hudson/trunk/hudson-home/jobs/NATIVE-CORE-AS-6.0.1-SUN-JDK-6/config.xml
hudson/trunk/hudson-home/jobs/NATIVE-SRCDIST-AS-6.0.0-SUN-JDK-6/config.xml
hudson/trunk/hudson-home/jobs/NATIVE-SRCDIST-AS-6.0.1-SUN-JDK-6/config.xml
hudson/trunk/hudson-home/jobs/SWITCH-BINDIST-AS-6.0.0/config.xml
hudson/trunk/hudson-home/jobs/SWITCH-BINDIST-AS-6.0.1/config.xml
Log:
refactoring paths
Modified: hudson/trunk/build.xml
===================================================================
--- hudson/trunk/build.xml 2011-01-12 09:34:40 UTC (rev 13558)
+++ hudson/trunk/build.xml 2011-01-12 11:55:21 UTC (rev 13559)
@@ -108,7 +108,7 @@
<arg line="--xml"/>
</exec>
<xmlproperty file="${hudson.target.dir}/svn-info.xml"/>
- <property name="hudson.framework.url"
value="${info.entry.url}"/>
+ <property name="jbossws.hudson.url"
value="${info.entry.url}"/>
<!-- Configure Hudson -->
<copy todir="${hudson.home}" overwrite="true">
@@ -118,7 +118,7 @@
<include name="*.xml"/>
</fileset>
<filterset>
- <filter token="hudson.framework.url"
value="${hudson.framework.url}"/>
+ <filter token="jbossws.hudson.url"
value="${jbossws.hudson.url}"/>
<filter token="hudson.home" value="${hudson.home}"/>
<filter token="version.id" value="${version.id}"/>
<filtersfile file="${hudson.dir}/ant.properties"/>
Modified: hudson/trunk/hudson-home/config.xml
===================================================================
--- hudson/trunk/hudson-home/config.xml 2011-01-12 09:34:40 UTC (rev 13558)
+++ hudson/trunk/hudson-home/config.xml 2011-01-12 11:55:21 UTC (rev 13559)
@@ -7,10 +7,10 @@
<h2>JBossWS-(a)version.id@ QA Environment</h2>
<table>
- <tr><th
align=left>Framework:</th><td>@hudson.framework.url@</td></tr>
+ <tr><th align=left>JBossWS
Hudson:</th><td>@jbossws.hudson.url@</td></tr>
<tr><td colspan=2></td></tr>
- <tr><th
align=left>Stack-Native:</th><td>@hudson.native.url@</td></tr>
- <tr><th
align=left>Stack-CXF:</th><td>@hudson.cxf.url@</td></tr>
+ <tr><th align=left>JBossWS
Native:</th><td>@hudson.native.url@</td></tr>
+ <tr><th align=left>JBossWS
CXF:</th><td>@hudson.cxf.url@</td></tr>
<tr><td colspan=2></td></tr>
<tr><th
align=left>@hudson.jboss600.build@</th><td>-r(a)hudson.jboss600.rev@
@hudson.jboss600.url@</td></tr>
<tr><th
align=left>@hudson.jboss601.build@</th><td>-r(a)hudson.jboss601.rev@
@hudson.jboss601.url@</td></tr>
Modified: hudson/trunk/hudson-home/jobs/AS-TESTS-AS-6.0.0/config.xml
===================================================================
--- hudson/trunk/hudson-home/jobs/AS-TESTS-AS-6.0.0/config.xml 2011-01-12 09:34:40 UTC
(rev 13558)
+++ hudson/trunk/hudson-home/jobs/AS-TESTS-AS-6.0.0/config.xml 2011-01-12 11:55:21 UTC
(rev 13559)
@@ -9,7 +9,7 @@
MODULE=AS-TESTS-AS-6.0.0
WORKSPACE=`pwd`
-HUDSON_DIR=$WORKSPACE/framework-hudson
+SCRIPTS_DIR=$WORKSPACE/hudson-scripts
STACK_DIR=$WORKSPACE/stack-cxf
JBOSS_TARGET=jboss600
JBOSS_BIND_ADDRESS=(a)jboss.bind.address@
@@ -24,7 +24,7 @@
#
# stop jbossas
#
-$HUDSON_DIR/jboss/bin/jboss.sh $JBOSS_HOME stop
+$SCRIPTS_DIR/jboss.sh $JBOSS_HOME stop
#
# build and deploy
@@ -41,13 +41,13 @@
#
# start jbossas
#
-$HUDSON_DIR/jboss/bin/jboss.sh $JBOSS_HOME start $JBOSS_BIND_ADDRESS
+$SCRIPTS_DIR/jboss.sh $JBOSS_HOME start $JBOSS_BIND_ADDRESS
# Was it successfully started?
-$HUDSON_DIR/jboss/bin/http-spider.sh $JBOSS_BIND_ADDRESS:8080 $WORKSPACE
+$SCRIPTS_DIR/http-spider.sh $JBOSS_BIND_ADDRESS:8080 $WORKSPACE
if [ -e $WORKSPACE/spider.failed ]; then
tail -n 100 $JBOSS_HOME/server/@jboss.server.instance(a)/log/server.log
- $HUDSON_DIR/jboss/bin/jboss.sh $JBOSS_HOME stop $JBOSS_BIND_ADDRESS
+ $SCRIPTS_DIR/jboss.sh $JBOSS_HOME stop $JBOSS_BIND_ADDRESS
exit 1
fi
@@ -74,7 +74,7 @@
#
# stop jbossas
#
-$HUDSON_DIR/jboss/bin/jboss.sh $JBOSS_HOME stop
+$SCRIPTS_DIR/jboss.sh $JBOSS_HOME stop
cp $JBOSS_HOME/server/@jboss.server.instance(a)/log/boot.log $WORKSPACE/jboss-boot.log
cp $JBOSS_HOME/server/@jboss.server.instance(a)/log/server.log $WORKSPACE/jboss-server.log
rm -rf $JBOSS_HOME
@@ -96,8 +96,8 @@
<scm class="hudson.scm.SubversionSCM">
<locations>
<hudson.scm.SubversionSCM-ModuleLocation>
- <remote>@hudson.framework.url(a)/hudson</remote>
- <local>framework-hudson</local>
+ <remote>@jbossws.hudson.url(a)/scripts</remote>
+ <local>hudson-scripts</local>
</hudson.scm.SubversionSCM-ModuleLocation>
<hudson.scm.SubversionSCM-ModuleLocation>
<remote>@hudson.cxf.url(a)</remote>
Modified: hudson/trunk/hudson-home/jobs/AS-TESTS-AS-6.0.1/config.xml
===================================================================
--- hudson/trunk/hudson-home/jobs/AS-TESTS-AS-6.0.1/config.xml 2011-01-12 09:34:40 UTC
(rev 13558)
+++ hudson/trunk/hudson-home/jobs/AS-TESTS-AS-6.0.1/config.xml 2011-01-12 11:55:21 UTC
(rev 13559)
@@ -9,7 +9,7 @@
MODULE=AS-TESTS-AS-6.0.1
WORKSPACE=`pwd`
-HUDSON_DIR=$WORKSPACE/framework-hudson
+SCRIPTS_DIR=$WORKSPACE/hudson-scripts
STACK_DIR=$WORKSPACE/stack-cxf
JBOSS_TARGET=jboss601
JBOSS_BIND_ADDRESS=(a)jboss.bind.address@
@@ -24,7 +24,7 @@
#
# stop jbossas
#
-$HUDSON_DIR/jboss/bin/jboss.sh $JBOSS_HOME stop
+$SCRIPTS_DIR/jboss.sh $JBOSS_HOME stop
#
# build and deploy
@@ -41,13 +41,13 @@
#
# start jbossas
#
-$HUDSON_DIR/jboss/bin/jboss.sh $JBOSS_HOME start $JBOSS_BIND_ADDRESS
+$SCRIPTS_DIR/jboss.sh $JBOSS_HOME start $JBOSS_BIND_ADDRESS
# Was it successfully started?
-$HUDSON_DIR/jboss/bin/http-spider.sh $JBOSS_BIND_ADDRESS:8080 $WORKSPACE
+$SCRIPTS_DIR/http-spider.sh $JBOSS_BIND_ADDRESS:8080 $WORKSPACE
if [ -e $WORKSPACE/spider.failed ]; then
tail -n 100 $JBOSS_HOME/server/@jboss.server.instance(a)/log/server.log
- $HUDSON_DIR/jboss/bin/jboss.sh $JBOSS_HOME stop $JBOSS_BIND_ADDRESS
+ $SCRIPTS_DIR/jboss.sh $JBOSS_HOME stop $JBOSS_BIND_ADDRESS
exit 1
fi
@@ -74,7 +74,7 @@
#
# stop jbossas
#
-$HUDSON_DIR/jboss/bin/jboss.sh $JBOSS_HOME stop
+$SCRIPTS_DIR/jboss.sh $JBOSS_HOME stop
cp $JBOSS_HOME/server/@jboss.server.instance(a)/log/boot.log $WORKSPACE/jboss-boot.log
cp $JBOSS_HOME/server/@jboss.server.instance(a)/log/server.log $WORKSPACE/jboss-server.log
rm -rf $JBOSS_HOME
@@ -96,8 +96,8 @@
<scm class="hudson.scm.SubversionSCM">
<locations>
<hudson.scm.SubversionSCM-ModuleLocation>
- <remote>@hudson.framework.url(a)/hudson</remote>
- <local>framework-hudson</local>
+ <remote>@jbossws.hudson.url(a)/scripts</remote>
+ <local>hudson-scripts</local>
</hudson.scm.SubversionSCM-ModuleLocation>
<hudson.scm.SubversionSCM-ModuleLocation>
<remote>@hudson.cxf.url(a)</remote>
Modified: hudson/trunk/hudson-home/jobs/CXF-BINDIST-AS-6.0.0-SPRING-SUN-JDK-6/config.xml
===================================================================
---
hudson/trunk/hudson-home/jobs/CXF-BINDIST-AS-6.0.0-SPRING-SUN-JDK-6/config.xml 2011-01-12
09:34:40 UTC (rev 13558)
+++
hudson/trunk/hudson-home/jobs/CXF-BINDIST-AS-6.0.0-SPRING-SUN-JDK-6/config.xml 2011-01-12
11:55:21 UTC (rev 13559)
@@ -11,7 +11,7 @@
WORKSPACE=`pwd`
STACK_ID=cxf
JAVA_HOME=(a)java.home.sun.jdk6@
-HUDSON_DIR=$WORKSPACE/framework-hudson
+SCRIPTS_DIR=$WORKSPACE/hudson-scripts
STACK_DIR=$WORKSPACE/stack-cxf
TEST_OPTS=
JBOSS_TARGET=jboss600
@@ -22,7 +22,7 @@
#
# load test functions
#
-. $HUDSON_DIR/jboss/bin/jbossws-qa.sh
+. $SCRIPTS_DIR/jbossws-qa.sh
#
# execute binary distribution tests
@@ -46,8 +46,8 @@
<scm class="hudson.scm.SubversionSCM">
<locations>
<hudson.scm.SubversionSCM-ModuleLocation>
- <remote>@hudson.framework.url(a)/hudson</remote>
- <local>framework-hudson</local>
+ <remote>@jbossws.hudson.url(a)/scripts</remote>
+ <local>hudson-scripts</local>
</hudson.scm.SubversionSCM-ModuleLocation>
<hudson.scm.SubversionSCM-ModuleLocation>
<remote>@hudson.cxf.url(a)</remote>
Modified: hudson/trunk/hudson-home/jobs/CXF-BINDIST-AS-6.0.0-SUN-JDK-6/config.xml
===================================================================
--- hudson/trunk/hudson-home/jobs/CXF-BINDIST-AS-6.0.0-SUN-JDK-6/config.xml 2011-01-12
09:34:40 UTC (rev 13558)
+++ hudson/trunk/hudson-home/jobs/CXF-BINDIST-AS-6.0.0-SUN-JDK-6/config.xml 2011-01-12
11:55:21 UTC (rev 13559)
@@ -11,7 +11,7 @@
WORKSPACE=`pwd`
STACK_ID=cxf
JAVA_HOME=(a)java.home.sun.jdk6@
-HUDSON_DIR=$WORKSPACE/framework-hudson
+SCRIPTS_DIR=$WORKSPACE/hudson-scripts
STACK_DIR=$WORKSPACE/stack-cxf
TEST_OPTS=
JBOSS_TARGET=jboss600
@@ -22,7 +22,7 @@
#
# load test functions
#
-. $HUDSON_DIR/jboss/bin/jbossws-qa.sh
+. $SCRIPTS_DIR/jbossws-qa.sh
#
# execute binary distribution tests
@@ -46,8 +46,8 @@
<scm class="hudson.scm.SubversionSCM">
<locations>
<hudson.scm.SubversionSCM-ModuleLocation>
- <remote>@hudson.framework.url(a)/hudson</remote>
- <local>framework-hudson</local>
+ <remote>@jbossws.hudson.url(a)/scripts</remote>
+ <local>hudson-scripts</local>
</hudson.scm.SubversionSCM-ModuleLocation>
<hudson.scm.SubversionSCM-ModuleLocation>
<remote>@hudson.cxf.url(a)</remote>
Modified: hudson/trunk/hudson-home/jobs/CXF-BINDIST-AS-6.0.1-SPRING-SUN-JDK-6/config.xml
===================================================================
---
hudson/trunk/hudson-home/jobs/CXF-BINDIST-AS-6.0.1-SPRING-SUN-JDK-6/config.xml 2011-01-12
09:34:40 UTC (rev 13558)
+++
hudson/trunk/hudson-home/jobs/CXF-BINDIST-AS-6.0.1-SPRING-SUN-JDK-6/config.xml 2011-01-12
11:55:21 UTC (rev 13559)
@@ -11,7 +11,7 @@
WORKSPACE=`pwd`
STACK_ID=cxf
JAVA_HOME=(a)java.home.sun.jdk6@
-HUDSON_DIR=$WORKSPACE/framework-hudson
+SCRIPTS_DIR=$WORKSPACE/hudson-scripts
STACK_DIR=$WORKSPACE/stack-cxf
TEST_OPTS=
JBOSS_TARGET=jboss601
@@ -22,7 +22,7 @@
#
# load test functions
#
-. $HUDSON_DIR/jboss/bin/jbossws-qa.sh
+. $SCRIPTS_DIR/jbossws-qa.sh
#
# execute binary distribution tests
@@ -46,8 +46,8 @@
<scm class="hudson.scm.SubversionSCM">
<locations>
<hudson.scm.SubversionSCM-ModuleLocation>
- <remote>@hudson.framework.url(a)/hudson</remote>
- <local>framework-hudson</local>
+ <remote>@jbossws.hudson.url(a)/scripts</remote>
+ <local>hudson-scripts</local>
</hudson.scm.SubversionSCM-ModuleLocation>
<hudson.scm.SubversionSCM-ModuleLocation>
<remote>@hudson.cxf.url(a)</remote>
Modified: hudson/trunk/hudson-home/jobs/CXF-BINDIST-AS-6.0.1-SUN-JDK-6/config.xml
===================================================================
--- hudson/trunk/hudson-home/jobs/CXF-BINDIST-AS-6.0.1-SUN-JDK-6/config.xml 2011-01-12
09:34:40 UTC (rev 13558)
+++ hudson/trunk/hudson-home/jobs/CXF-BINDIST-AS-6.0.1-SUN-JDK-6/config.xml 2011-01-12
11:55:21 UTC (rev 13559)
@@ -11,7 +11,7 @@
WORKSPACE=`pwd`
STACK_ID=cxf
JAVA_HOME=(a)java.home.sun.jdk6@
-HUDSON_DIR=$WORKSPACE/framework-hudson
+SCRIPTS_DIR=$WORKSPACE/hudson-scripts
STACK_DIR=$WORKSPACE/stack-cxf
TEST_OPTS=
JBOSS_TARGET=jboss601
@@ -22,7 +22,7 @@
#
# load test functions
#
-. $HUDSON_DIR/jboss/bin/jbossws-qa.sh
+. $SCRIPTS_DIR/jbossws-qa.sh
#
# execute binary distribution tests
@@ -46,8 +46,8 @@
<scm class="hudson.scm.SubversionSCM">
<locations>
<hudson.scm.SubversionSCM-ModuleLocation>
- <remote>@hudson.framework.url(a)/hudson</remote>
- <local>framework-hudson</local>
+ <remote>@jbossws.hudson.url(a)/scripts</remote>
+ <local>hudson-scripts</local>
</hudson.scm.SubversionSCM-ModuleLocation>
<hudson.scm.SubversionSCM-ModuleLocation>
<remote>@hudson.cxf.url(a)</remote>
Modified: hudson/trunk/hudson-home/jobs/CXF-CORE-AS-6.0.0-SPRING-SUN-JDK-6/config.xml
===================================================================
--- hudson/trunk/hudson-home/jobs/CXF-CORE-AS-6.0.0-SPRING-SUN-JDK-6/config.xml 2011-01-12
09:34:40 UTC (rev 13558)
+++ hudson/trunk/hudson-home/jobs/CXF-CORE-AS-6.0.0-SPRING-SUN-JDK-6/config.xml 2011-01-12
11:55:21 UTC (rev 13559)
@@ -11,7 +11,7 @@
WORKSPACE=`pwd`
STACK_ID=cxf
JAVA_HOME=(a)java.home.sun.jdk6@
-HUDSON_DIR=$WORKSPACE/framework-hudson
+SCRIPTS_DIR=$WORKSPACE/hudson-scripts
STACK_DIR=$WORKSPACE/stack-cxf
TEST_OPTS=
JBOSS_TARGET=jboss600
@@ -22,7 +22,7 @@
#
# load test functions
#
-. $HUDSON_DIR/jboss/bin/jbossws-qa.sh
+. $SCRIPTS_DIR/jbossws-qa.sh
#
# execute core tests
@@ -46,8 +46,8 @@
<scm class="hudson.scm.SubversionSCM">
<locations>
<hudson.scm.SubversionSCM-ModuleLocation>
- <remote>@hudson.framework.url(a)/hudson</remote>
- <local>framework-hudson</local>
+ <remote>@jbossws.hudson.url(a)/scripts</remote>
+ <local>hudson-scripts</local>
</hudson.scm.SubversionSCM-ModuleLocation>
<hudson.scm.SubversionSCM-ModuleLocation>
<remote>@hudson.cxf.url(a)</remote>
Modified: hudson/trunk/hudson-home/jobs/CXF-CORE-AS-6.0.0-SUN-JDK-6/config.xml
===================================================================
--- hudson/trunk/hudson-home/jobs/CXF-CORE-AS-6.0.0-SUN-JDK-6/config.xml 2011-01-12
09:34:40 UTC (rev 13558)
+++ hudson/trunk/hudson-home/jobs/CXF-CORE-AS-6.0.0-SUN-JDK-6/config.xml 2011-01-12
11:55:21 UTC (rev 13559)
@@ -11,7 +11,7 @@
WORKSPACE=`pwd`
STACK_ID=cxf
JAVA_HOME=(a)java.home.sun.jdk6@
-HUDSON_DIR=$WORKSPACE/framework-hudson
+SCRIPTS_DIR=$WORKSPACE/hudson-scripts
STACK_DIR=$WORKSPACE/stack-cxf
TEST_OPTS=
JBOSS_TARGET=jboss600
@@ -22,7 +22,7 @@
#
# load test functions
#
-. $HUDSON_DIR/jboss/bin/jbossws-qa.sh
+. $SCRIPTS_DIR/jbossws-qa.sh
#
# execute core tests
@@ -46,8 +46,8 @@
<scm class="hudson.scm.SubversionSCM">
<locations>
<hudson.scm.SubversionSCM-ModuleLocation>
- <remote>@hudson.framework.url(a)/hudson</remote>
- <local>framework-hudson</local>
+ <remote>@jbossws.hudson.url(a)/scripts</remote>
+ <local>hudson-scripts</local>
</hudson.scm.SubversionSCM-ModuleLocation>
<hudson.scm.SubversionSCM-ModuleLocation>
<remote>@hudson.cxf.url(a)</remote>
Modified: hudson/trunk/hudson-home/jobs/CXF-CORE-AS-6.0.1-SPRING-SUN-JDK-6/config.xml
===================================================================
--- hudson/trunk/hudson-home/jobs/CXF-CORE-AS-6.0.1-SPRING-SUN-JDK-6/config.xml 2011-01-12
09:34:40 UTC (rev 13558)
+++ hudson/trunk/hudson-home/jobs/CXF-CORE-AS-6.0.1-SPRING-SUN-JDK-6/config.xml 2011-01-12
11:55:21 UTC (rev 13559)
@@ -11,7 +11,7 @@
WORKSPACE=`pwd`
STACK_ID=cxf
JAVA_HOME=(a)java.home.sun.jdk6@
-HUDSON_DIR=$WORKSPACE/framework-hudson
+SCRIPTS_DIR=$WORKSPACE/hudson-scripts
STACK_DIR=$WORKSPACE/stack-cxf
TEST_OPTS=
JBOSS_TARGET=jboss601
@@ -22,7 +22,7 @@
#
# load test functions
#
-. $HUDSON_DIR/jboss/bin/jbossws-qa.sh
+. $SCRIPTS_DIR/jbossws-qa.sh
#
# execute core tests
@@ -46,8 +46,8 @@
<scm class="hudson.scm.SubversionSCM">
<locations>
<hudson.scm.SubversionSCM-ModuleLocation>
- <remote>@hudson.framework.url(a)/hudson</remote>
- <local>framework-hudson</local>
+ <remote>@jbossws.hudson.url(a)/scripts</remote>
+ <local>hudson-scripts</local>
</hudson.scm.SubversionSCM-ModuleLocation>
<hudson.scm.SubversionSCM-ModuleLocation>
<remote>@hudson.cxf.url(a)</remote>
Modified: hudson/trunk/hudson-home/jobs/CXF-CORE-AS-6.0.1-SUN-JDK-6/config.xml
===================================================================
--- hudson/trunk/hudson-home/jobs/CXF-CORE-AS-6.0.1-SUN-JDK-6/config.xml 2011-01-12
09:34:40 UTC (rev 13558)
+++ hudson/trunk/hudson-home/jobs/CXF-CORE-AS-6.0.1-SUN-JDK-6/config.xml 2011-01-12
11:55:21 UTC (rev 13559)
@@ -11,7 +11,7 @@
WORKSPACE=`pwd`
STACK_ID=cxf
JAVA_HOME=(a)java.home.sun.jdk6@
-HUDSON_DIR=$WORKSPACE/framework-hudson
+SCRIPTS_DIR=$WORKSPACE/hudson-scripts
STACK_DIR=$WORKSPACE/stack-cxf
TEST_OPTS=
JBOSS_TARGET=jboss601
@@ -22,7 +22,7 @@
#
# load test functions
#
-. $HUDSON_DIR/jboss/bin/jbossws-qa.sh
+. $SCRIPTS_DIR/jbossws-qa.sh
#
# execute core tests
@@ -46,8 +46,8 @@
<scm class="hudson.scm.SubversionSCM">
<locations>
<hudson.scm.SubversionSCM-ModuleLocation>
- <remote>@hudson.framework.url(a)/hudson</remote>
- <local>framework-hudson</local>
+ <remote>@jbossws.hudson.url(a)/scripts</remote>
+ <local>hudson-scripts</local>
</hudson.scm.SubversionSCM-ModuleLocation>
<hudson.scm.SubversionSCM-ModuleLocation>
<remote>@hudson.cxf.url(a)</remote>
Modified: hudson/trunk/hudson-home/jobs/CXF-SRCDIST-AS-6.0.0-SPRING-SUN-JDK-6/config.xml
===================================================================
---
hudson/trunk/hudson-home/jobs/CXF-SRCDIST-AS-6.0.0-SPRING-SUN-JDK-6/config.xml 2011-01-12
09:34:40 UTC (rev 13558)
+++
hudson/trunk/hudson-home/jobs/CXF-SRCDIST-AS-6.0.0-SPRING-SUN-JDK-6/config.xml 2011-01-12
11:55:21 UTC (rev 13559)
@@ -11,7 +11,7 @@
WORKSPACE=`pwd`
STACK_ID=cxf
JAVA_HOME=(a)java.home.sun.jdk6@
-HUDSON_DIR=$WORKSPACE/framework-hudson
+SCRIPTS_DIR=$WORKSPACE/hudson-scripts
STACK_DIR=$WORKSPACE/stack-cxf
TEST_OPTS=
JBOSS_TARGET=jboss600
@@ -22,7 +22,7 @@
#
# load test functions
#
-. $HUDSON_DIR/jboss/bin/jbossws-qa.sh
+. $SCRIPTS_DIR/jbossws-qa.sh
#
# execute source distribution tests
@@ -46,8 +46,8 @@
<scm class="hudson.scm.SubversionSCM">
<locations>
<hudson.scm.SubversionSCM-ModuleLocation>
- <remote>@hudson.framework.url(a)/hudson</remote>
- <local>framework-hudson</local>
+ <remote>@jbossws.hudson.url(a)/scripts</remote>
+ <local>hudson-scripts</local>
</hudson.scm.SubversionSCM-ModuleLocation>
<hudson.scm.SubversionSCM-ModuleLocation>
<remote>@hudson.cxf.url(a)</remote>
Modified: hudson/trunk/hudson-home/jobs/CXF-SRCDIST-AS-6.0.0-SUN-JDK-6/config.xml
===================================================================
--- hudson/trunk/hudson-home/jobs/CXF-SRCDIST-AS-6.0.0-SUN-JDK-6/config.xml 2011-01-12
09:34:40 UTC (rev 13558)
+++ hudson/trunk/hudson-home/jobs/CXF-SRCDIST-AS-6.0.0-SUN-JDK-6/config.xml 2011-01-12
11:55:21 UTC (rev 13559)
@@ -11,7 +11,7 @@
WORKSPACE=`pwd`
STACK_ID=cxf
JAVA_HOME=(a)java.home.sun.jdk6@
-HUDSON_DIR=$WORKSPACE/framework-hudson
+SCRIPTS_DIR=$WORKSPACE/hudson-scripts
STACK_DIR=$WORKSPACE/stack-cxf
TEST_OPTS=
JBOSS_TARGET=jboss600
@@ -22,7 +22,7 @@
#
# load test functions
#
-. $HUDSON_DIR/jboss/bin/jbossws-qa.sh
+. $SCRIPTS_DIR/jbossws-qa.sh
#
# execute source distribution tests
@@ -46,8 +46,8 @@
<scm class="hudson.scm.SubversionSCM">
<locations>
<hudson.scm.SubversionSCM-ModuleLocation>
- <remote>@hudson.framework.url(a)/hudson</remote>
- <local>framework-hudson</local>
+ <remote>@jbossws.hudson.url(a)/scripts</remote>
+ <local>hudson-scripts</local>
</hudson.scm.SubversionSCM-ModuleLocation>
<hudson.scm.SubversionSCM-ModuleLocation>
<remote>@hudson.cxf.url(a)</remote>
Modified: hudson/trunk/hudson-home/jobs/CXF-SRCDIST-AS-6.0.1-SPRING-SUN-JDK-6/config.xml
===================================================================
---
hudson/trunk/hudson-home/jobs/CXF-SRCDIST-AS-6.0.1-SPRING-SUN-JDK-6/config.xml 2011-01-12
09:34:40 UTC (rev 13558)
+++
hudson/trunk/hudson-home/jobs/CXF-SRCDIST-AS-6.0.1-SPRING-SUN-JDK-6/config.xml 2011-01-12
11:55:21 UTC (rev 13559)
@@ -11,7 +11,7 @@
WORKSPACE=`pwd`
STACK_ID=cxf
JAVA_HOME=(a)java.home.sun.jdk6@
-HUDSON_DIR=$WORKSPACE/framework-hudson
+SCRIPTS_DIR=$WORKSPACE/hudson-scripts
STACK_DIR=$WORKSPACE/stack-cxf
TEST_OPTS=
JBOSS_TARGET=jboss601
@@ -22,7 +22,7 @@
#
# load test functions
#
-. $HUDSON_DIR/jboss/bin/jbossws-qa.sh
+. $SCRIPTS_DIR/jbossws-qa.sh
#
# execute source distribution tests
@@ -46,8 +46,8 @@
<scm class="hudson.scm.SubversionSCM">
<locations>
<hudson.scm.SubversionSCM-ModuleLocation>
- <remote>@hudson.framework.url(a)/hudson</remote>
- <local>framework-hudson</local>
+ <remote>@jbossws.hudson.url(a)/scripts</remote>
+ <local>hudson-scripts</local>
</hudson.scm.SubversionSCM-ModuleLocation>
<hudson.scm.SubversionSCM-ModuleLocation>
<remote>@hudson.cxf.url(a)</remote>
Modified: hudson/trunk/hudson-home/jobs/CXF-SRCDIST-AS-6.0.1-SUN-JDK-6/config.xml
===================================================================
--- hudson/trunk/hudson-home/jobs/CXF-SRCDIST-AS-6.0.1-SUN-JDK-6/config.xml 2011-01-12
09:34:40 UTC (rev 13558)
+++ hudson/trunk/hudson-home/jobs/CXF-SRCDIST-AS-6.0.1-SUN-JDK-6/config.xml 2011-01-12
11:55:21 UTC (rev 13559)
@@ -11,7 +11,7 @@
WORKSPACE=`pwd`
STACK_ID=cxf
JAVA_HOME=(a)java.home.sun.jdk6@
-HUDSON_DIR=$WORKSPACE/framework-hudson
+SCRIPTS_DIR=$WORKSPACE/hudson-scripts
STACK_DIR=$WORKSPACE/stack-cxf
TEST_OPTS=
JBOSS_TARGET=jboss601
@@ -22,7 +22,7 @@
#
# load test functions
#
-. $HUDSON_DIR/jboss/bin/jbossws-qa.sh
+. $SCRIPTS_DIR/jbossws-qa.sh
#
# execute source distribution tests
@@ -46,8 +46,8 @@
<scm class="hudson.scm.SubversionSCM">
<locations>
<hudson.scm.SubversionSCM-ModuleLocation>
- <remote>@hudson.framework.url(a)/hudson</remote>
- <local>framework-hudson</local>
+ <remote>@jbossws.hudson.url(a)/scripts</remote>
+ <local>hudson-scripts</local>
</hudson.scm.SubversionSCM-ModuleLocation>
<hudson.scm.SubversionSCM-ModuleLocation>
<remote>@hudson.cxf.url(a)</remote>
Modified: hudson/trunk/hudson-home/jobs/NATIVE-BINDIST-AS-6.0.0-SUN-JDK-6/config.xml
===================================================================
--- hudson/trunk/hudson-home/jobs/NATIVE-BINDIST-AS-6.0.0-SUN-JDK-6/config.xml 2011-01-12
09:34:40 UTC (rev 13558)
+++ hudson/trunk/hudson-home/jobs/NATIVE-BINDIST-AS-6.0.0-SUN-JDK-6/config.xml 2011-01-12
11:55:21 UTC (rev 13559)
@@ -11,7 +11,7 @@
WORKSPACE=`pwd`
STACK_ID=native
JAVA_HOME=(a)java.home.sun.jdk6@
-HUDSON_DIR=$WORKSPACE/framework-hudson
+SCRIPTS_DIR=$WORKSPACE/hudson-scripts
STACK_DIR=$WORKSPACE/stack-native
TEST_OPTS=
JBOSS_TARGET=jboss600
@@ -22,7 +22,7 @@
#
# load test functions
#
-. $HUDSON_DIR/jboss/bin/jbossws-qa.sh
+. $SCRIPTS_DIR/jbossws-qa.sh
#
# execute binary distribution tests
@@ -46,8 +46,8 @@
<scm class="hudson.scm.SubversionSCM">
<locations>
<hudson.scm.SubversionSCM-ModuleLocation>
- <remote>@hudson.framework.url(a)/hudson</remote>
- <local>framework-hudson</local>
+ <remote>@jbossws.hudson.url(a)/scripts</remote>
+ <local>hudson-scripts</local>
</hudson.scm.SubversionSCM-ModuleLocation>
<hudson.scm.SubversionSCM-ModuleLocation>
<remote>@hudson.native.url(a)</remote>
Modified: hudson/trunk/hudson-home/jobs/NATIVE-BINDIST-AS-6.0.1-SUN-JDK-6/config.xml
===================================================================
--- hudson/trunk/hudson-home/jobs/NATIVE-BINDIST-AS-6.0.1-SUN-JDK-6/config.xml 2011-01-12
09:34:40 UTC (rev 13558)
+++ hudson/trunk/hudson-home/jobs/NATIVE-BINDIST-AS-6.0.1-SUN-JDK-6/config.xml 2011-01-12
11:55:21 UTC (rev 13559)
@@ -11,7 +11,7 @@
WORKSPACE=`pwd`
STACK_ID=native
JAVA_HOME=(a)java.home.sun.jdk6@
-HUDSON_DIR=$WORKSPACE/framework-hudson
+SCRIPTS_DIR=$WORKSPACE/hudson-scripts
STACK_DIR=$WORKSPACE/stack-native
TEST_OPTS=
JBOSS_TARGET=jboss601
@@ -22,7 +22,7 @@
#
# load test functions
#
-. $HUDSON_DIR/jboss/bin/jbossws-qa.sh
+. $SCRIPTS_DIR/jbossws-qa.sh
#
# execute binary distribution tests
@@ -46,8 +46,8 @@
<scm class="hudson.scm.SubversionSCM">
<locations>
<hudson.scm.SubversionSCM-ModuleLocation>
- <remote>@hudson.framework.url(a)/hudson</remote>
- <local>framework-hudson</local>
+ <remote>@jbossws.hudson.url(a)/scripts</remote>
+ <local>hudson-scripts</local>
</hudson.scm.SubversionSCM-ModuleLocation>
<hudson.scm.SubversionSCM-ModuleLocation>
<remote>@hudson.native.url(a)</remote>
Modified: hudson/trunk/hudson-home/jobs/NATIVE-CORE-AS-6.0.0-SUN-JDK-6/config.xml
===================================================================
--- hudson/trunk/hudson-home/jobs/NATIVE-CORE-AS-6.0.0-SUN-JDK-6/config.xml 2011-01-12
09:34:40 UTC (rev 13558)
+++ hudson/trunk/hudson-home/jobs/NATIVE-CORE-AS-6.0.0-SUN-JDK-6/config.xml 2011-01-12
11:55:21 UTC (rev 13559)
@@ -11,7 +11,7 @@
WORKSPACE=`pwd`
STACK_ID=native
JAVA_HOME=(a)java.home.sun.jdk6@
-HUDSON_DIR=$WORKSPACE/framework-hudson
+SCRIPTS_DIR=$WORKSPACE/hudson-scripts
STACK_DIR=$WORKSPACE/stack-native
TEST_OPTS="-Dinterop=true"
JBOSS_TARGET=jboss600
@@ -22,7 +22,7 @@
#
# load test functions
#
-. $HUDSON_DIR/jboss/bin/jbossws-qa.sh
+. $SCRIPTS_DIR/jbossws-qa.sh
#
# execute core tests
@@ -46,8 +46,8 @@
<scm class="hudson.scm.SubversionSCM">
<locations>
<hudson.scm.SubversionSCM-ModuleLocation>
- <remote>@hudson.framework.url(a)/hudson</remote>
- <local>framework-hudson</local>
+ <remote>@jbossws.hudson.url(a)/scripts</remote>
+ <local>hudson-scripts</local>
</hudson.scm.SubversionSCM-ModuleLocation>
<hudson.scm.SubversionSCM-ModuleLocation>
<remote>@hudson.native.url(a)</remote>
Modified: hudson/trunk/hudson-home/jobs/NATIVE-CORE-AS-6.0.1-SUN-JDK-6/config.xml
===================================================================
--- hudson/trunk/hudson-home/jobs/NATIVE-CORE-AS-6.0.1-SUN-JDK-6/config.xml 2011-01-12
09:34:40 UTC (rev 13558)
+++ hudson/trunk/hudson-home/jobs/NATIVE-CORE-AS-6.0.1-SUN-JDK-6/config.xml 2011-01-12
11:55:21 UTC (rev 13559)
@@ -11,7 +11,7 @@
WORKSPACE=`pwd`
STACK_ID=native
JAVA_HOME=(a)java.home.sun.jdk6@
-HUDSON_DIR=$WORKSPACE/framework-hudson
+SCRIPTS_DIR=$WORKSPACE/hudson-scripts
STACK_DIR=$WORKSPACE/stack-native
TEST_OPTS="-Dinterop=true"
JBOSS_TARGET=jboss601
@@ -22,7 +22,7 @@
#
# load test functions
#
-. $HUDSON_DIR/jboss/bin/jbossws-qa.sh
+. $SCRIPTS_DIR/jbossws-qa.sh
#
# execute core tests
@@ -46,8 +46,8 @@
<scm class="hudson.scm.SubversionSCM">
<locations>
<hudson.scm.SubversionSCM-ModuleLocation>
- <remote>@hudson.framework.url(a)/hudson</remote>
- <local>framework-hudson</local>
+ <remote>@jbossws.hudson.url(a)/scripts</remote>
+ <local>hudson-scripts</local>
</hudson.scm.SubversionSCM-ModuleLocation>
<hudson.scm.SubversionSCM-ModuleLocation>
<remote>@hudson.native.url(a)</remote>
Modified: hudson/trunk/hudson-home/jobs/NATIVE-SRCDIST-AS-6.0.0-SUN-JDK-6/config.xml
===================================================================
--- hudson/trunk/hudson-home/jobs/NATIVE-SRCDIST-AS-6.0.0-SUN-JDK-6/config.xml 2011-01-12
09:34:40 UTC (rev 13558)
+++ hudson/trunk/hudson-home/jobs/NATIVE-SRCDIST-AS-6.0.0-SUN-JDK-6/config.xml 2011-01-12
11:55:21 UTC (rev 13559)
@@ -11,7 +11,7 @@
WORKSPACE=`pwd`
STACK_ID=native
JAVA_HOME=(a)java.home.sun.jdk6@
-HUDSON_DIR=$WORKSPACE/framework-hudson
+SCRIPTS_DIR=$WORKSPACE/hudson-scripts
STACK_DIR=$WORKSPACE/stack-native
TEST_OPTS=
JBOSS_TARGET=jboss600
@@ -22,7 +22,7 @@
#
# load test functions
#
-. $HUDSON_DIR/jboss/bin/jbossws-qa.sh
+. $SCRIPTS_DIR/jbossws-qa.sh
#
# execute source distribution tests
@@ -46,8 +46,8 @@
<scm class="hudson.scm.SubversionSCM">
<locations>
<hudson.scm.SubversionSCM-ModuleLocation>
- <remote>@hudson.framework.url(a)/hudson</remote>
- <local>framework-hudson</local>
+ <remote>@jbossws.hudson.url(a)/scripts</remote>
+ <local>hudson-scripts</local>
</hudson.scm.SubversionSCM-ModuleLocation>
<hudson.scm.SubversionSCM-ModuleLocation>
<remote>@hudson.native.url(a)</remote>
Modified: hudson/trunk/hudson-home/jobs/NATIVE-SRCDIST-AS-6.0.1-SUN-JDK-6/config.xml
===================================================================
--- hudson/trunk/hudson-home/jobs/NATIVE-SRCDIST-AS-6.0.1-SUN-JDK-6/config.xml 2011-01-12
09:34:40 UTC (rev 13558)
+++ hudson/trunk/hudson-home/jobs/NATIVE-SRCDIST-AS-6.0.1-SUN-JDK-6/config.xml 2011-01-12
11:55:21 UTC (rev 13559)
@@ -11,7 +11,7 @@
WORKSPACE=`pwd`
STACK_ID=native
JAVA_HOME=(a)java.home.sun.jdk6@
-HUDSON_DIR=$WORKSPACE/framework-hudson
+SCRIPTS_DIR=$WORKSPACE/hudson-scripts
STACK_DIR=$WORKSPACE/stack-native
TEST_OPTS=
JBOSS_TARGET=jboss601
@@ -22,7 +22,7 @@
#
# load test functions
#
-. $HUDSON_DIR/jboss/bin/jbossws-qa.sh
+. $SCRIPTS_DIR/jbossws-qa.sh
#
# execute source distribution tests
@@ -46,8 +46,8 @@
<scm class="hudson.scm.SubversionSCM">
<locations>
<hudson.scm.SubversionSCM-ModuleLocation>
- <remote>@hudson.framework.url(a)/hudson</remote>
- <local>framework-hudson</local>
+ <remote>@jbossws.hudson.url(a)/scripts</remote>
+ <local>hudson-scripts</local>
</hudson.scm.SubversionSCM-ModuleLocation>
<hudson.scm.SubversionSCM-ModuleLocation>
<remote>@hudson.native.url(a)</remote>
Modified: hudson/trunk/hudson-home/jobs/SWITCH-BINDIST-AS-6.0.0/config.xml
===================================================================
--- hudson/trunk/hudson-home/jobs/SWITCH-BINDIST-AS-6.0.0/config.xml 2011-01-12 09:34:40
UTC (rev 13558)
+++ hudson/trunk/hudson-home/jobs/SWITCH-BINDIST-AS-6.0.0/config.xml 2011-01-12 11:55:21
UTC (rev 13559)
@@ -10,7 +10,7 @@
WORKSPACE=`pwd`
JAVA_HOME=(a)java.home.sun.jdk6@
-HUDSON_DIR=$WORKSPACE/framework-hudson
+SCRIPTS_DIR=$WORKSPACE/hudson-scripts
TEST_OPTS=
JBOSS_TARGET=jboss600
JBOSS_BIND_ADDRESS=(a)jboss.bind.address@
@@ -24,7 +24,7 @@
#
# load test functions
#
-. $HUDSON_DIR/jboss/bin/jbossws-qa.sh
+. $SCRIPTS_DIR/jbossws-qa.sh
rm -rf $WORKSPACE/*.diff
@@ -87,8 +87,8 @@
<scm class="hudson.scm.SubversionSCM">
<locations>
<hudson.scm.SubversionSCM-ModuleLocation>
- <remote>@hudson.framework.url(a)/hudson</remote>
- <local>framework-hudson</local>
+ <remote>@jbossws.hudson.url(a)/scripts</remote>
+ <local>hudson-scripts</local>
</hudson.scm.SubversionSCM-ModuleLocation>
</locations>
<useUpdate>true</useUpdate>
Modified: hudson/trunk/hudson-home/jobs/SWITCH-BINDIST-AS-6.0.1/config.xml
===================================================================
--- hudson/trunk/hudson-home/jobs/SWITCH-BINDIST-AS-6.0.1/config.xml 2011-01-12 09:34:40
UTC (rev 13558)
+++ hudson/trunk/hudson-home/jobs/SWITCH-BINDIST-AS-6.0.1/config.xml 2011-01-12 11:55:21
UTC (rev 13559)
@@ -10,7 +10,7 @@
WORKSPACE=`pwd`
JAVA_HOME=(a)java.home.sun.jdk6@
-HUDSON_DIR=$WORKSPACE/framework-hudson
+SCRIPTS_DIR=$WORKSPACE/hudson-scripts
TEST_OPTS=
JBOSS_TARGET=jboss601
JBOSS_BIND_ADDRESS=(a)jboss.bind.address@
@@ -24,7 +24,7 @@
#
# load test functions
#
-. $HUDSON_DIR/jboss/bin/jbossws-qa.sh
+. $SCRIPTS_DIR/jbossws-qa.sh
rm -rf $WORKSPACE/*.diff
@@ -87,8 +87,8 @@
<scm class="hudson.scm.SubversionSCM">
<locations>
<hudson.scm.SubversionSCM-ModuleLocation>
- <remote>@hudson.framework.url(a)/hudson</remote>
- <local>framework-hudson</local>
+ <remote>@jbossws.hudson.url(a)/scripts</remote>
+ <local>hudson-scripts</local>
</hudson.scm.SubversionSCM-ModuleLocation>
</locations>
<useUpdate>true</useUpdate>
Added: hudson/trunk/scripts/http-spider.sh
===================================================================
--- hudson/trunk/scripts/http-spider.sh (rev 0)
+++ hudson/trunk/scripts/http-spider.sh 2011-01-12 11:55:21 UTC (rev 13559)
@@ -0,0 +1,48 @@
+#!/bin/sh
+
+#############################################################
+#
+# Simple helper that checks if an HTTP host is available.
+# (Relies on wget)
+#
+# Within hudson it can be used to test if the AS instance
+# has successfully booted.
+#
+# @author Heiko.Braun(a)jboss.com
+#
+#############################################################
+
+TIMEOUT=2 # wget timeout in sec
+SLEEP_TIME=10 # the actual sleep time in between test
+NUM_RETRIES=30 # equals to 5 minutes before exit
+
+if [ "x$1" = "x" ]; then
+ echo "Usage: http.sh <hostname:port> <output_dir>"
+fi
+
+if [ "x$2" = "x" ]; then
+ echo "Usage: http.sh <hostname:port> <output_dir>"
+fi
+
+# cleanup
+rm $2/spider.success 2&>1 /dev/null
+rm $2/spider.failed 2&>1 /dev/null
+
+COUNTER=0
+while [ $COUNTER -lt $NUM_RETRIES ]; do
+ if wget --spider --timeout=$TIMEOUT --tries=1 $1 &> /dev/null; then
+ touch $2/spider.success
+ echo "Try $COUNTER: '$1' is available" > ./spider.success
+ exit 0
+ else
+ echo "Try $COUNTER: '$1' does not respond, wait another $SLEEP_TIME
seconds"
+ fi
+ sleep $SLEEP_TIME
+ let COUNTER=COUNTER+1
+done
+
+touch $2/spider.failed
+echo "Unable to connect to $1, exiting..." > spider.failed
+exit 0
+
+
Property changes on: hudson/trunk/scripts/http-spider.sh
___________________________________________________________________
Name: svn:executable
+ *
Added: hudson/trunk/scripts/jboss.sh
===================================================================
--- hudson/trunk/scripts/jboss.sh (rev 0)
+++ hudson/trunk/scripts/jboss.sh 2011-01-12 11:55:21 UTC (rev 13559)
@@ -0,0 +1,53 @@
+#!/bin/sh
+
+PROGNAME=`basename $0`
+DIRNAME=`dirname $0`
+JBOSS_HOME="$1"
+BINDADDR="$3"
+CMD="$2"
+
+export JBOSS_HOME
+
+#
+# Helper to complain.
+#
+warn() {
+ echo "$PROGNAME: $*"
+}
+
+if [ ! -f "$JBOSS_HOME/bin/run.sh" ]; then
+ warn "Cannot find: $JBOSS_HOME/bin/run.sh"
+ exit 1
+fi
+
+case "$CMD" in
+start)
+ # This version of run.sh obtains the pid of the JVM and saves it as jboss.pid
+ # It relies on bash specific features
+ # Do you want to hide jboss output?
+ /bin/bash $DIRNAME/runjboss.sh -b $BINDADDR &
+ ;;
+stop)
+ pidfile="$JBOSS_HOME/bin/jboss.pid"
+ if [ -f "$pidfile" ]; then
+ pid=`cat "$pidfile"`
+ echo "kill pid: $pid"
+ kill $pid
+ if [ "$?" -eq 0 ]; then
+ # process exists, wait for it to die, and force if not
+ sleep 20
+ kill -9 $pid &> /dev/null
+ fi
+ rm "$pidfile"
+ else
+ warn "No pid found, using shutdown"
+ $JBOSS_HOME/bin/shutdown.sh -S > /dev/null &
+ fi
+ ;;
+restart)
+ $0 stop
+ $0 start
+ ;;
+*)
+ echo "usage: $0 jboss_instance (start|stop|restart|help)"
+esac
Property changes on: hudson/trunk/scripts/jboss.sh
___________________________________________________________________
Name: svn:executable
+ *
Added: hudson/trunk/scripts/jbossws-qa.sh
===================================================================
--- hudson/trunk/scripts/jbossws-qa.sh (rev 0)
+++ hudson/trunk/scripts/jbossws-qa.sh 2011-01-12 11:55:21 UTC (rev 13559)
@@ -0,0 +1,258 @@
+#!/bin/sh
+
+ensureJavaExists() {
+ if [ ! -d $JAVA_HOME ]; then
+ echo "Please point java.home specified in ant.properties to correct JDK
installations"
+ exit 1
+ fi
+}
+
+setupJBossHome() {
+ rm -rf $WORKSPACE/jboss-as
+ cp -r $JBOSS_INSTANCE $WORKSPACE/jboss-as
+ export JBOSS_HOME=$WORKSPACE/jboss-as
+}
+
+setupEnv() {
+ TMP_DIR_PROPERTY=
+ if [ -d /data/tmp ]; then
+ TMP_DIR_PROPERTY=-Djava.io.tmpdir=/data/tmp
+ elif [ -d /tmp ]; then
+ TMP_DIR_PROPERTY=-Djava.io.tmpdir=/tmp
+ else
+ echo "Cannot detect temporary directory";
+ exit -1;
+ fi
+
+ ENVIRONMENT="$TMP_DIR_PROPERTY -Dmaven.opts=-U
-Djboss.bind.address=$JBOSS_BIND_ADDRESS -Djbossws.integration.target=$JBOSS_TARGET
-D$JBOSS_TARGET.home=$JBOSS_HOME"
+}
+
+stopJBoss() {
+ $SCRIPTS_DIR/jboss.sh $JBOSS_HOME stop $JBOSS_BIND_ADDRESS
+}
+
+startJBoss() {
+ $SCRIPTS_DIR/jboss.sh $JBOSS_HOME start $JBOSS_BIND_ADDRESS
+}
+
+copyJBossLogs() {
+ cp $JBOSS_HOME/server/$JBOSS_CONFIG/log/boot.log $WORKSPACE/jboss-boot.log
+ cp $JBOSS_HOME/server/$JBOSS_CONFIG/log/server.log $WORKSPACE/jboss-server.log
+}
+
+copyTestLogs() {
+ cat $WORKSPACE/tests.log | egrep FIXME\|FAILED | sort -u | tee $WORKSPACE/fixme.txt
+ cat $STACK_DIR/modules/testsuite/test-excludes-$JBOSS_TARGET.txt $WORKSPACE/fixme.txt |
egrep "\[\S*]" > $WORKSPACE/errata-$JBOSS_TARGET.txt
+}
+
+removeJBossLogs() {
+ rm -f $JBOSS_HOME/server/$JBOSS_CONFIG/log/boot.log
+ rm -f $JBOSS_HOME/server/$JBOSS_CONFIG/log/server.log
+}
+
+ensureRunningJBoss() {
+ $SCRIPTS_DIR/http-spider.sh $JBOSS_BIND_ADDRESS:8080 $WORKSPACE
+ if [ -e $WORKSPACE/spider.failed ]; then
+ tail -n 100 $JBOSS_HOME/server/$JBOSS_CONFIG/log/server.log
+ stopJBoss
+ copyJBossLogs
+ exit 1
+ fi
+}
+
+logMavenDependencies() {
+ mvn -Ptestsuite,$JBOSS_TARGET dependency:tree | tee $WORKSPACE/dependency-tree.txt
+}
+
+deployCoreDistributionWithSpring() {
+ cd $STACK_DIR
+ cp profiles.xml.example profiles.xml
+ mvn -Ptestsuite,spring clean
+ ant $ENVIRONMENT -Dspring=true deploy-$JBOSS_TARGET
+}
+
+deployCoreDistribution() {
+ cd $STACK_DIR
+ cp profiles.xml.example profiles.xml
+ mvn -Ptestsuite clean
+ ant $ENVIRONMENT deploy-$JBOSS_TARGET
+}
+
+deployBinaryDistributionWithSpring() {
+ cd $STACK_DIR
+ cp profiles.xml.example profiles.xml
+ mvn -Ptestsuite clean
+ ant $ENVIRONMENT build-bin-dist
+ cd target
+ rm -rf jbossws-$STACK_ID-bin-dist
+ unzip jbossws-$STACK_ID-bin-dist.zip
+ cd jbossws-$STACK_ID-bin-dist
+ cp ant.properties.example ant.properties
+ ant $ENVIRONMENT -Dspring=true deploy-$JBOSS_TARGET
+}
+
+deployBinaryDistribution() {
+ cd $STACK_DIR
+ cp profiles.xml.example profiles.xml
+ mvn -Ptestsuite clean
+ ant $ENVIRONMENT build-bin-dist
+ cd target
+ rm -rf jbossws-$STACK_ID-bin-dist
+ unzip jbossws-$STACK_ID-bin-dist.zip
+ cd jbossws-$STACK_ID-bin-dist
+ cp ant.properties.example ant.properties
+ ant $ENVIRONMENT deploy-$JBOSS_TARGET
+}
+
+redeployBinaryDistribution() {
+ cd $STACK_DIR/target/jbossws-$STACK_ID-bin-dist
+ ant clean
+ ant $ENVIRONMENT deploy-$JBOSS_TARGET
+}
+
+deploySourceDistributionWithSpring() {
+ cd $STACK_DIR
+ cp profiles.xml.example profiles.xml
+ mvn -Ptestsuite,spring clean
+ ant $ENVIRONMENT build-src-dist
+ cd target
+ rm -rf jbossws-$STACK_ID-src-dist
+ unzip jbossws-$STACK_ID-src-dist.zip
+ cd jbossws-$STACK_ID-src-dist
+ cp profiles.xml.example profiles.xml
+ ant $ENVIRONMENT -Dspring=true deploy-$JBOSS_TARGET
+}
+
+deploySourceDistribution() {
+ cd $STACK_DIR
+ cp profiles.xml.example profiles.xml
+ mvn -Ptestsuite clean
+ ant $ENVIRONMENT build-src-dist
+ cd target
+ rm -rf jbossws-$STACK_ID-src-dist
+ unzip jbossws-$STACK_ID-src-dist.zip
+ cd jbossws-$STACK_ID-src-dist
+ cp profiles.xml.example profiles.xml
+ ant $ENVIRONMENT deploy-$JBOSS_TARGET
+}
+
+detectFailures() {
+ rm -rf $WORKSPACE/jboss-as
+ cat $WORKSPACE/tests.log | egrep "BUILD FAILURE|BUILD
ERROR|java.lang.OutOfMemoryError" | tee $WORKSPACE/failure.log
+ if [ -s $WORKSPACE/failure.log ]; then
+ echo "Failure detected"
+ exit 1
+ fi
+}
+
+runTestsViaMavenWithSpring() {
+ mvn $ENVIRONMENT -Ptestsuite,hudson,spring,$JBOSS_TARGET $TEST_OPTS test 2>&1 |
tee $WORKSPACE/tests.log
+}
+
+runTestsViaMaven() {
+ mvn $ENVIRONMENT -Ptestsuite,hudson,$JBOSS_TARGET $TEST_OPTS test 2>&1 | tee
$WORKSPACE/tests.log
+}
+
+runTestsViaAnt() {
+ ant $ENVIRONMENT tests-clean tests $TEST_OPTS 2>&1 | tee $WORKSPACE/tests.log
+}
+
+coreTestWithSpring() {
+ setupJBossHome
+ setupEnv
+ ensureJavaExists
+ stopJBoss
+ deployCoreDistributionWithSpring
+ removeJBossLogs
+ startJBoss
+ ensureRunningJBoss
+ logMavenDependencies
+ runTestsViaMavenWithSpring
+ copyTestLogs
+ stopJBoss
+ copyJBossLogs
+ detectFailures
+}
+
+coreTest() {
+ setupJBossHome
+ setupEnv
+ ensureJavaExists
+ stopJBoss
+ deployCoreDistribution
+ removeJBossLogs
+ startJBoss
+ ensureRunningJBoss
+ logMavenDependencies
+ runTestsViaMaven
+ copyTestLogs
+ stopJBoss
+ copyJBossLogs
+ detectFailures
+}
+
+binaryDistributionTestWithSpring() {
+ setupJBossHome
+ setupEnv
+ ensureJavaExists
+ stopJBoss
+ deployBinaryDistributionWithSpring
+ removeJBossLogs
+ startJBoss
+ ensureRunningJBoss
+ runTestsViaAnt
+ copyTestLogs
+ stopJBoss
+ copyJBossLogs
+ detectFailures
+}
+
+binaryDistributionTest() {
+ setupJBossHome
+ setupEnv
+ ensureJavaExists
+ stopJBoss
+ deployBinaryDistribution
+ removeJBossLogs
+ startJBoss
+ ensureRunningJBoss
+ runTestsViaAnt
+ copyTestLogs
+ stopJBoss
+ copyJBossLogs
+ detectFailures
+}
+
+sourceDistributionTestWithSpring() {
+ setupJBossHome
+ setupEnv
+ ensureJavaExists
+ stopJBoss
+ deploySourceDistributionWithSpring
+ removeJBossLogs
+ startJBoss
+ ensureRunningJBoss
+ logMavenDependencies
+ runTestsViaMavenWithSpring
+ copyTestLogs
+ stopJBoss
+ copyJBossLogs
+ detectFailures
+}
+
+sourceDistributionTest() {
+ setupJBossHome
+ setupEnv
+ ensureJavaExists
+ stopJBoss
+ deploySourceDistribution
+ removeJBossLogs
+ startJBoss
+ ensureRunningJBoss
+ logMavenDependencies
+ runTestsViaMaven
+ copyTestLogs
+ stopJBoss
+ copyJBossLogs
+ detectFailures
+}
Property changes on: hudson/trunk/scripts/jbossws-qa.sh
___________________________________________________________________
Name: svn:executable
+ *
Added: hudson/trunk/scripts/runjboss.sh
===================================================================
--- hudson/trunk/scripts/runjboss.sh (rev 0)
+++ hudson/trunk/scripts/runjboss.sh 2011-01-12 11:55:21 UTC (rev 13559)
@@ -0,0 +1,159 @@
+#!/bin/bash
+### ====================================================================== ###
+## ##
+## JBoss Bootstrap Script ##
+## ##
+### ====================================================================== ###
+
+DIRNAME=`dirname $0`
+PROGNAME=`basename $0`
+GREP="grep"
+
+# Use the maximum available, or set MAX_FD != -1 to use that
+MAX_FD="maximum"
+
+#
+# Helper to complain.
+#
+warn() {
+ echo "${PROGNAME}: $*"
+}
+
+#
+# Helper to puke.
+#
+die() {
+ warn $*
+ exit 1
+}
+
+# Setup JBOSS_HOME
+if [ "x$JBOSS_HOME" = "x" ]; then
+ # get the full path (without any relative bits)
+ JBOSS_HOME=`cd $DIRNAME/..; pwd`
+fi
+export JBOSS_HOME
+
+# Read an optional running configuration file
+if [ "x$RUN_CONF" = "x" ]; then
+ RUN_CONF="$JBOSS_HOME/bin/run.conf"
+fi
+if [ -r "$RUN_CONF" ]; then
+ . "$RUN_CONF"
+fi
+
+# Setup the JVM
+if [ "x$JAVA" = "x" ]; then
+ if [ "x$JAVA_HOME" != "x" ]; then
+ JAVA="$JAVA_HOME/bin/java"
+ else
+ JAVA="java"
+ fi
+fi
+
+# Setup the classpath
+runjar="$JBOSS_HOME/bin/run.jar"
+if [ ! -f "$runjar" ]; then
+ die "Missing required file: $runjar"
+fi
+JBOSS_BOOT_CLASSPATH="$runjar"
+
+# Include the JDK javac compiler for JSP pages. The default is for a Sun JDK
+# compatible distribution which JAVA_HOME points to
+if [ "x$JAVAC_JAR" = "x" ]; then
+ JAVAC_JAR="$JAVA_HOME/lib/tools.jar"
+fi
+if [ ! -f "$JAVAC_JAR" ]; then
+ warn "Missing file: $JAVAC_JAR"
+ warn "Unexpected results may occur. Make sure JAVA_HOME points to a JDK and not
a JRE."
+fi
+
+if [ "x$JBOSS_CLASSPATH" = "x" ]; then
+ JBOSS_CLASSPATH="$JBOSS_BOOT_CLASSPATH:$JAVAC_JAR"
+else
+ JBOSS_CLASSPATH="$JBOSS_CLASSPATH:$JBOSS_BOOT_CLASSPATH:$JAVAC_JAR"
+fi
+
+# If -server not set in JAVA_OPTS, set it, if supported
+SERVER_SET=`echo $JAVA_OPTS | $GREP "\-server"`
+if [ "x$SERVER_SET" = "x" ]; then
+
+ # Check for SUN(tm) JVM w/ HotSpot support
+ if [ "x$HAS_HOTSPOT" = "x" ]; then
+ HAS_HOTSPOT=`"$JAVA" -version 2>&1 | $GREP -i HotSpot`
+ fi
+
+ # Enable -server if we have Hotspot, unless we can't
+ if [ "x$HAS_HOTSPOT" != "x" ]; then
+ JAVA_OPTS="-server $JAVA_OPTS"
+ fi
+fi
+
+# Setup JBosst Native library path
+JBOSS_NATIVE_DIR="$JBOSS_HOME/bin/native"
+if [ -d "$JBOSS_NATIVE_DIR" ]; then
+ if [ "x$LD_LIBRARY_PATH" = "x" ]; then
+ LD_LIBRARY_PATH="$JBOSS_NATIVE_DIR"
+ else
+ LD_LIBRARY_PATH="$JBOSS_NATIVE_DIR:$LD_LIBRARY_PATH"
+ fi
+ export LD_LIBRARY_PATH
+ if [ "x$JAVA_OPTS" = "x" ]; then
+ JAVA_OPTS="-Djava.library.path=$JBOSS_NATIVE_DIR"
+ else
+ JAVA_OPTS="$JAVA_OPTS -Djava.library.path=$JBOSS_NATIVE_DIR"
+ fi
+fi
+
+#JPDA options. Uncomment and modify as appropriate to enable remote debugging .
+#JAVA_OPTS="-classic -Xdebug -Xnoagent -Djava.compiler=NONE
-Xrunjdwp:transport=dt_socket,address=8787,server=y,suspend=n $JAVA_OPTS"
+
+# Setup JBoss sepecific properties
+JAVA_OPTS="-Dprogram.name=$PROGNAME $JAVA_OPTS"
+
+# This should be removed when JBoss configuration XML files can be validated JBAS-6744
+JAVA_OPTS="$JAVA_OPTS -Dxb.builder.useUnorderedSequence=true"
+
+if [ -d "/data/tmp" ]; then
+ JAVA_OPTS="$JAVA_OPTS -Djava.io.tmpdir=/data/tmp"
+elif [ -d "/tmp" ]; then
+ JAVA_OPTS="$JAVA_OPTS -Djava.io.tmpdir=/tmp"
+else
+ echo "Cannot detect temporary directory";
+ exit -1;
+fi
+
+# Setup the java endorsed dirs
+JBOSS_ENDORSED_DIRS="$JBOSS_HOME/lib/endorsed"
+
+# Display our environment
+echo
"========================================================================="
+echo ""
+echo " JBoss Bootstrap Environment"
+echo ""
+echo " JBOSS_HOME: $JBOSS_HOME"
+echo ""
+echo " JAVA: $JAVA"
+echo ""
+echo " JAVA_OPTS: $JAVA_OPTS"
+echo ""
+echo " CLASSPATH: $JBOSS_CLASSPATH"
+echo ""
+echo
"========================================================================="
+echo ""
+# enable monitor mode (job control needed)
+set -m
+STATUS=10
+while [ $STATUS -eq 10 ]
+do
+# Execute the JVM
+ "$JAVA" $JAVA_OPTS \
+ -Djava.endorsed.dirs="$JBOSS_ENDORSED_DIRS" \
+ -classpath "$JBOSS_CLASSPATH" \
+ org.jboss.Main "$@" &> /dev/null &
+ echo $! > $JBOSS_HOME/bin/jboss.pid
+ fg
+ STATUS=$?
+ # if it doesn't work, you may want to take a look at this:
+ #
http://developer.java.sun.com/developer/bugParade/bugs/4465334.html
+done
Property changes on: hudson/trunk/scripts/runjboss.sh
___________________________________________________________________
Name: svn:executable
+ *